# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: orders.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0corders.proto\x12\x0f\x46oodOrderingApp\"\n\n\x08\x45mptyReq\"C\n\rOrderResponse\x12\x10\n\x08wasSaved\x18\x01 \x01(\x08\x12\x0f\n\x07orderId\x18\x02 \x01(\x05\x12\x0f\n\x07message\x18\x03 \x01(\t\"Q\n\tOrderItem\x12\x10\n\x08order_id\x18\x01 \x01(\x05\x12\x0f\n\x07user_id\x18\x02 \x01(\t\x12\x12\n\ntotal_cost\x18\x03 \x01(\x02\x12\r\n\x05items\x18\x04 \x01(\t\"<\n\x11\x44\x42\x43onfirmedOrders\x12\'\n\x06result\x18\x01 \x03(\x0b\x32\x17.FoodOrderingApp.Result\"X\n\x06Result\x12\x13\n\x0b\x63ustomer_id\x18\x01 \x01(\t\x12\x16\n\x0e\x63ustomer_email\x18\x02 \x01(\t\x12\x12\n\ntotal_cost\x18\x03 \x01(\x02\x12\r\n\x05topic\x18\x04 \x01(\t2\xb0\x01\n\x06Orders\x12L\n\x0cSaveNewOrder\x12\x1a.FoodOrderingApp.OrderItem\x1a\x1e.FoodOrderingApp.OrderResponse\"\x00\x12X\n\x15\x43onfirmedOrdersFromDB\x12\x19.FoodOrderingApp.EmptyReq\x1a\".FoodOrderingApp.DBConfirmedOrders\"\x00\x62\x06proto3')



_EMPTYREQ = DESCRIPTOR.message_types_by_name['EmptyReq']
_ORDERRESPONSE = DESCRIPTOR.message_types_by_name['OrderResponse']
_ORDERITEM = DESCRIPTOR.message_types_by_name['OrderItem']
_DBCONFIRMEDORDERS = DESCRIPTOR.message_types_by_name['DBConfirmedOrders']
_RESULT = DESCRIPTOR.message_types_by_name['Result']
EmptyReq = _reflection.GeneratedProtocolMessageType('EmptyReq', (_message.Message,), {
  'DESCRIPTOR' : _EMPTYREQ,
  '__module__' : 'orders_pb2'
  # @@protoc_insertion_point(class_scope:FoodOrderingApp.EmptyReq)
  })
_sym_db.RegisterMessage(EmptyReq)

OrderResponse = _reflection.GeneratedProtocolMessageType('OrderResponse', (_message.Message,), {
  'DESCRIPTOR' : _ORDERRESPONSE,
  '__module__' : 'orders_pb2'
  # @@protoc_insertion_point(class_scope:FoodOrderingApp.OrderResponse)
  })
_sym_db.RegisterMessage(OrderResponse)

OrderItem = _reflection.GeneratedProtocolMessageType('OrderItem', (_message.Message,), {
  'DESCRIPTOR' : _ORDERITEM,
  '__module__' : 'orders_pb2'
  # @@protoc_insertion_point(class_scope:FoodOrderingApp.OrderItem)
  })
_sym_db.RegisterMessage(OrderItem)

DBConfirmedOrders = _reflection.GeneratedProtocolMessageType('DBConfirmedOrders', (_message.Message,), {
  'DESCRIPTOR' : _DBCONFIRMEDORDERS,
  '__module__' : 'orders_pb2'
  # @@protoc_insertion_point(class_scope:FoodOrderingApp.DBConfirmedOrders)
  })
_sym_db.RegisterMessage(DBConfirmedOrders)

Result = _reflection.GeneratedProtocolMessageType('Result', (_message.Message,), {
  'DESCRIPTOR' : _RESULT,
  '__module__' : 'orders_pb2'
  # @@protoc_insertion_point(class_scope:FoodOrderingApp.Result)
  })
_sym_db.RegisterMessage(Result)

_ORDERS = DESCRIPTOR.services_by_name['Orders']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _EMPTYREQ._serialized_start=33
  _EMPTYREQ._serialized_end=43
  _ORDERRESPONSE._serialized_start=45
  _ORDERRESPONSE._serialized_end=112
  _ORDERITEM._serialized_start=114
  _ORDERITEM._serialized_end=195
  _DBCONFIRMEDORDERS._serialized_start=197
  _DBCONFIRMEDORDERS._serialized_end=257
  _RESULT._serialized_start=259
  _RESULT._serialized_end=347
  _ORDERS._serialized_start=350
  _ORDERS._serialized_end=526
# @@protoc_insertion_point(module_scope)
